BeanContextEvent (Java SE 11 & JDK 11 )
Keywords: java.beans.beancontext.BeanContextEvent class

Module java.desktop
Package java.beans.beancontext

## Class BeanContextEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.beancontext.BeanContextEvent

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BeanContextMembershipEvent`, `BeanContextServiceAvailableEvent`, `BeanContextServiceRevokedEvent`

      public abstract class BeanContextEvent
      extends EventObject

  `BeanContextEvent` is the abstract root event class for all events emitted from, and pertaining to the semantics of, a `BeanContext`. This class introduces a mechanism to allow the propagation of `BeanContextEvent` subclasses through a hierarchy of `BeanContext`s. The `setPropagatedFrom()` and `getPropagatedFrom()` methods allow a `BeanContext` to identify itself as the source of a propagated event.

  Since:
    1.2
  See Also:
    `BeanContext`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BeanContext` | `propagatedFrom` | The `BeanContext` from which this event was propagated

    - ### Fields declared in class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BeanContextEvent​(BeanContext bc)` | Contruct a BeanContextEvent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BeanContext` | `getBeanContext()` | Gets the `BeanContext` associated with this event.
    `BeanContext` | `getPropagatedFrom()` | Gets the `BeanContext` from which this event was propagated.
    `boolean` | `isPropagated()` | Reports whether or not this event is propagated from some other `BeanContext`.
    `void` | `setPropagatedFrom​(BeanContext bc)` | Sets the `BeanContext` from which this event was propagated.

    - ### Methods declared in class java.util.EventObject

      `getSource, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### propagatedFrom

          protected BeanContext propagatedFrom

      The `BeanContext` from which this event was propagated

  - ### Constructor Detail

    - #### BeanContextEvent

          protected BeanContextEvent​(BeanContext bc)

      Contruct a BeanContextEvent
      Parameters:
        `bc` - The BeanContext source

  - ### Method Detail

    - #### getBeanContext

          public BeanContext getBeanContext()

      Gets the `BeanContext` associated with this event.
      Returns:
        the `BeanContext` associated with this event.

    - #### setPropagatedFrom

          public void setPropagatedFrom​(BeanContext bc)

      Sets the `BeanContext` from which this event was propagated.
      Parameters:
        `bc` - the `BeanContext` from which this event was propagated

    - #### getPropagatedFrom

          public BeanContext getPropagatedFrom()

      Gets the `BeanContext` from which this event was propagated.
      Returns:
        the `BeanContext` from which this event was propagated

    - #### isPropagated

          public boolean isPropagated()

      Reports whether or not this event is propagated from some other `BeanContext`.
      Returns:
        `true` if propagated, `false` if not